var lat ="";
var lon = "";
var errorstatus =false;

document.addEventListener("deviceready", onDeviceReadyGeolocation, false);
function onDeviceReadyGeolocation(){

	showLoading();
	setLoadingMessage("Locatie ontvangen...");
	getCurrentLocationLatLon(
      function(position){
          lat  = position.coords.latitude;
          lon =  position.coords.longitude;
          setLoadingMessage("Gereed!");
          hideLoading();
          $.getJSON('datacontacts.json', function(json) {
				initialize(json);
		  });
      }, 

      function(err){
      	errorstatus = true;
         setLoadingMessage("Locatie niet beschikbaar, Route plannen niet mogelijk");
         $.getJSON('datacontacts.json', function(json) {
				initialize(json);
		  });
          hideLoading();
         hideLoading();
    });

}

$(function(){
	var height = $(window).height() - 59;
	var width = $(window).width();

	$(".contentim").css("height", (height)+"px");
	$(".contentim").css("width", width+"px");

	$(window).resize(function(){
			var height = $(window).height() - 59;
			var width = $(window).width();

			$(".contentim").css("height", (height)+"px");
			$(".contentim").css("width", width+"px");
			$.getJSON('datacontacts.json', function(json) {
				initialize(json);

			});
	});

});






obx1 = "";
	
	
	function initialize(obx) {
			obx1 = obx;

			var bounds = new google.maps.LatLngBounds();
			var mapOptions = {
				zoom: 11
			}

			var map = new google.maps.Map(document.getElementById('map-canvas'), mapOptions);
			map.markers = []; 
			var selectedoppharmacies = getDataArray();
			i = selectedoppharmacies[4];
				
					var latlan = obx[i][6].split("-");
					var poiLatLang = new google.maps.LatLng( latlan[0], latlan[1]);

					var marker = new google.maps.Marker({
						position: poiLatLang ,
						map: map
					});
					
					bounds.extend(marker.position);
					
					marker.id = { name: obx[i][0] , address : obx[i][7].replace(",","<br/>"), tel : obx[i][2] , img:  obx[i][5], latlanob: latlan[0]+","+latlan[1] };
					attachSecretMessage(marker,bounds,i);
					map.markers.push(marker);
				
			
			if(lat !="" && lon != ""){
					var poiLatLang = new google.maps.LatLng( lat, lon);
					var marker = new google.maps.Marker({
							position: poiLatLang ,
							map: map,
							icon: "userlocation.png"
						});
					bounds.extend(marker.position);
					map.markers.push(marker);
			}
	
	
			map.fitBounds(bounds);

	}

	infobox = new InfoBox({
			disableAutoPan: false,
			maxWidth: 150,
			pixelOffset: new google.maps.Size(-140, 0),
			zIndex: null,
			boxStyle: {
						background: "url('http://google-maps-utility-library-v3.googlecode.com/svn/trunk/infobox/examples/tipbox.gif') no-repeat",
						opacity: 0.9,
						width: "280px"
				},
			closeBoxMargin: "12px 4px 2px 2px",
			closeBoxURL: "http://www.google.com/intl/en_us/mapfiles/close.gif",
			infoBoxClearance: new google.maps.Size(1, 1)
		});
	
	function attachSecretMessage(marker,myLatlng,i) {
		
		

	  google.maps.event.addListener(marker, 'click', function(evt) {
	  	var newob = $(  "<div class='infobox-wrapper'>"+
						    "<div id='infobox'>"+
						        "<div id='namexpopup'></div>"+
						        "<div style='text-align:center'><img id='popupimage' src='AppLogo1.jpg' width='80%' /></div>"+
						        "<div id='addresspopup'></div>"+
						        "<a id='callapopup1' style='text-decoration: none' class='directionclick'  ><div id='callnowpopup1' >Route plannen</div></a>"+
						        "<a id='callapopup' style='text-decoration: none'  ><div id='callnowpopup' >Bellen</div></a>"+
						    "</div>"+
						"</div>");
	  	newob.find("#namexpopup").html(this.id.name);
	  	newob.find("#popupimage").attr("src",this.id.img);
	  	newob.find("#addresspopup").html(this.id.address);
	  	newob.find("#callapopup").attr("href","tel:"+this.id.tel);

	  	var urledited = "http://maps.google.com/maps?saddr="+lat+","+lon+"&daddr="+this.id.latlanob;
	  	newob.find("#callapopup1").attr("onclick","event.preventDefault(); clickevent('"+urledited+"');");

	  	infobox.setContent(newob.html());
		infobox.open(marker.get('map'), this);
		 //marker.get('map').panTo(myLatlng);
	  });
	}

	function clickevent(url){

		if(errorstatus){

			alert("Schakel GPS in en herstart de App");

		}else{

			openURLInDefaultBrowser(url);
		}
		
	}





	