document.addEventListener("deviceready", onDeviceReady, false);
var destinationType; 
var pictureSource;  
function onDeviceReady() {
   // checkConnection();
    pictureSource=navigator.camera.PictureSourceType;
    destinationType=navigator.camera.DestinationType;
}

function checkConnection() {
    var networkState = navigator.network.connection.type;
    if(networkState == "none"){
        return false;
    }else{
        return true;
    }
}

function imageCapture(imagecallback){
   
   var  options = {
            quality: 45,
            destinationType: navigator.camera.DestinationType.FILE_URI,
            sourceType: navigator.camera.PictureSourceType.CAMERA,
            allowEdit: false,
            encodingType: navigator.camera.EncodingType.JPEG,
            targetWidth: 620,
            targetHeight: 620
        };
   
   navigator.camera.getPicture(imagecallback, OnError, options); 
}
  

function OnError(message) {
  alert('Failed because: ' + message);
}



function uploadFile(imageUri,urltosend,authkey1,email, uploadSuccessCallBack) {

            var params = new Object();
            params.authkey = authkey1; 
			params.email = email; 

            options = new FileUploadOptions();
            options.fileKey = "file";
            options.fileName = imageUri.substr(imageUri.lastIndexOf('/')+1);
            options.mimeType = "image/jpeg";
            options.params = params;
            options.chunkedMode = false;

            var ft = new FileTransfer();
            ft.upload(imageUri, urltosend , uploadSuccessCallBack, 
                function(error) {
                  alert('Error uploading file ' + path + ': ' + error.code);
                }, 
            options);

        
}



function getCurrentLocationLatLon(onLocationAvailable,onLocationError){


    var config = {
       enableHighAccuracy: true,
       timeout: 30000,
       maximumAge: 3000
    }

    navigator.geolocation.getCurrentPosition(onLocationAvailable, onLocationError,config);
    /*
     function(position) {
          'Latitude: '          + position.coords.latitude          + '\n' +
          'Longitude: '         + position.coords.longitude         + '\n' +
          'Altitude: '          + position.coords.altitude          + '\n' +
          'Accuracy: '          + position.coords.accuracy          + '\n' +
          'Altitude Accuracy: ' + position.coords.altitudeAccuracy  + '\n' +
          'Heading: '           + position.coords.heading           + '\n' +
          'Speed: '             + position.coords.speed             + '\n' +
          'Timestamp: '         + position.timestamp                + '\n';
    }
    */
    /*
    function onError(error) {
        alert('code: '    + error.code    + '\n' +
              'message: ' + error.message + '\n');
    }
    */

}


function openURLInDefaultBrowser(url){

/*
navigator.app.loadUrl(url, { openExternal:true });

*/
window.open(url, "_system");
return false;

}
